Index: /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_current.inc.php
===================================================================
--- /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_current.inc.php	(revision 6876)
+++ /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_current.inc.php	(revision 6945)
@@ -101,4 +101,17 @@
             'uc' => array()
                 ),
+
+       'calendar_task_to_activity_object' => array(
+            'fd' => array(
+                'id' => array( 'type' => 'auto', 'nullable' => False),
+                'calendar_object_activity_id' => array(  'type' => 'int', 'precision' => '8', 'nullable' => False),
+                'calendar_object_task_id' => array(  'type' => 'int', 'precision' => '8', 'nullable' => False),
+                'owner' => array(  'type' => 'int', 'precision' => '8', 'nullable' => False),
+            ),
+            'pk' => array('id'),
+            'fk' => array(),
+            'ix' => array(),
+            'uc' => array()
+        ),
             
             
Index: /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php
===================================================================
--- /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php	(revision 6876)
+++ /sandbox/2.4.2-expresso1/expressoCalendar/setup/tables_update.inc.php	(revision 6945)
@@ -135,4 +135,6 @@
         $oProc->query("INSERT INTO calendar_object_type(id, name) VALUES ('2', 'TODO');");
 
+        $oProc->query("CREATE TABLE calendar_task_to_activity_object(id serial not null, calendar_object_activity_id integer not null, calendar_object_task_id integer not null, owner integer not null);");
+
         $GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.008';
         return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
Index: /sandbox/2.4.2-expresso1/expressoCalendar/setup/setup.inc.php
===================================================================
--- /sandbox/2.4.2-expresso1/expressoCalendar/setup/setup.inc.php	(revision 6797)
+++ /sandbox/2.4.2-expresso1/expressoCalendar/setup/setup.inc.php	(revision 6945)
@@ -33,5 +33,6 @@
 	$setup_info['expressoCalendar']['tables'][]		=  'calendar_permission';
 	$setup_info['expressoCalendar']['tables'][]		=  'module_preference';
-	$setup_info['expressoCalendar']['tables'][]		=  'calendar_repeat_ranges';
+    $setup_info['expressoCalendar']['tables'][]     =  'calendar_repeat_ranges';
+	$setup_info['expressoCalendar']['tables'][]		=  'calendar_task_to_activity_object';
 
 	$setup_info['expressoCalendar']['enable']		= 1;
Index: /sandbox/2.4.2-expresso1/prototype/config/schedulable.ini
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/config/schedulable.ini	(revision 6876)
+++ /sandbox/2.4.2-expresso1/prototype/config/schedulable.ini	(revision 6945)
@@ -5,4 +5,5 @@
 participants = participant.schedulable
 attachments = schedulableToAttachment.schedulable
+taskToActivity = taskToActivity.activity
 	
 [model.hasOne]
@@ -14,7 +15,9 @@
 [after.create]
 createCalendarToSchedulable = modules/calendar/interceptors/DBMapping.php
+;createTasksToActivity = modules/calendar/interceptors/DBMapping.php
 
 [before.find]
 findSchedulable = modules/calendar/interceptors/DBMapping.php
+findTask = modules/calendar/interceptors/DBMapping.php
 
 [after.find]
@@ -25,5 +28,4 @@
 encodeUpdateSchedulable = modules/calendar/interceptors/DBMapping.php
 updateEvent = modules/calendar/interceptors/Notifications.php
-
 
 [after.update]
Index: /sandbox/2.4.2-expresso1/prototype/config/taskToActivity.ini
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/config/taskToActivity.ini	(revision 6945)
+++ /sandbox/2.4.2-expresso1/prototype/config/taskToActivity.ini	(revision 6945)
@@ -0,0 +1,17 @@
+service = PostgreSQL
+PostgreSQL.concept = calendar_task_to_activity_object
+
+[model.depends]
+activity = schedulable.taskToActivity
+
+;[before.create]
+;decodeCreateTaskToActivity = modules/calendar/interceptors/DBMapping.php
+
+[after.find]
+deepnessFindTask = modules/calendar/interceptors/DBMapping.php
+
+[PostgreSQL.mapping]
+id = id
+activity = calendar_object_activity_id
+task = calendar_object_task_id
+owner = owner
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6891)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6945)
@@ -150,5 +150,6 @@
 		.'calendar FROM calendar_to_calendar_object , calendar_object '
 		.'WHERE ( calendar_to_calendar_object.calendar_id IN (\'' . implode('\',\'', $criteria['filter'][2][2]) . '\')) '
-		.'AND calendar_to_calendar_object.calendar_object_id = calendar_object.id ';	
+		.'AND calendar_to_calendar_object.calendar_object_id = calendar_object.id '
+        .'AND calendar_object.id NOT IN(select calendar_object_task_id from calendar_task_to_activity_object where owner = \'' . Config::me('uidNumber') . '\') ';	
 	    
 	    if(isset($criteria['searchEvent']) && $criteria['searchEvent']){
@@ -180,4 +181,47 @@
 		$params = array_merge($params, $occ);		
 	    }
+	    $params = self::deepnessFindEvent($uri, $params, $criteria, $original);
+	    return false;
+	}
+    }
+
+    public function findTask(&$uri, &$params, &$criteria, $original) {
+
+        ob_start();
+        print_r('$uri' . "\n");
+        print_r($uri);
+        print_r('$params' . "\n");
+        print_r($params);
+        print_r('$criteria' . "\n");
+        print_r($criteria);
+        print_r('$original' . "\n");
+        print_r($original);
+        $output = ob_get_clean();
+        file_put_contents( "/tmp/acoutinho.log",  $output , FILE_APPEND);
+	if (isset($criteria['filterTasks']) && $criteria['filterTasks']) {
+
+	    $sql = ' SELECT calendar_object.id as id ,calendar_object.cal_uid as "uid", calendar_object.type_id as "type", '
+	    .'calendar_object.dtstart as "startTime", calendar_object.summary as "summary", '
+	    .'calendar_object.description as "description", calendar_object.dtend as "endTime" , '
+	    .'calendar_object.priority as "priority", calendar_object.due as "due", '
+	    .'calendar_object.percentage as "percentage", calendar_object.status as "status", '
+	    .'calendar_object.location as "location", calendar_object.allday as "allDay", '
+	    .'calendar_object.transp as "transparent", calendar_object.class_id as "class", '
+	    .'calendar_object.repeat as "repeat", calendar_object.range_start as "rangeStart", '
+	    .'calendar_object.range_end as "rangeEnd", calendar_object.last_update as "lastUpdate", '
+	    .'calendar_object.dtstamp as "dtstamp", calendar_object.sequence as "sequence", '
+	    .'calendar_object.tzid as "timezone" ,calendar_to_calendar_object.calendar_id as '
+	    .'calendar FROM calendar_to_calendar_object , calendar_object '
+	    .'WHERE ( calendar_to_calendar_object.calendar_id IN (\'' . implode('\',\'', $criteria['filter'][3][2]) . '\')) '
+	    .'AND calendar_to_calendar_object.calendar_object_id = calendar_object.id '
+        .'AND calendar_to_calendar_object.calendar_object_id NOT IN (select calendar_object_activity_id from calendar_task_to_activity_object where owner =  \'' . Config::me("uidNumber") . '\' ) '    
+        .'AND calendar_to_calendar_object.calendar_object_id NOT IN (select calendar_object_task_id from calendar_task_to_activity_object where owner =  \'' . Config::me("uidNumber") . '\' ) ';    
+
+        if(isset($criteria['filter'][4]))
+            $sql .= 'AND (((upper("summary") like upper(\'%'.$criteria['filter'][4][1][2].'%\') OR upper("description") like upper(\'%'.$criteria['filter'][4][1][2].'%\'))))';
+
+	    $sql .= 'AND (range_start >= \'' . $criteria['filter'][2][2] . '\' AND type_id <= \'' .  $criteria['filter'][1][2] . '\')';
+
+	    $params = Controller::service('PostgreSQL')->execResultSql($sql);
 	    $params = self::deepnessFindEvent($uri, $params, $criteria, $original);
 	    return false;
@@ -495,4 +539,28 @@
     }
 
+    //TODO: Remover apos suporte a ManytoMany na api 
+    public function createTasksToActivity(&$uri, &$result, &$criteria, $original) {
+
+        ob_start();
+        print_r('$uri' . "\n");
+        print_r($uri);
+        print_r('$params' . "\n");
+        print_r($params);
+        print_r('$criteria' . "\n");
+        print_r($criteria);
+        print_r('$original' . "\n");
+        print_r($original);
+        $output = ob_get_clean();
+        file_put_contents( "/tmp/acoutinho.log",  $output , FILE_APPEND);
+
+        if(isset($original['properties']['taskToActivity']) && $original['properties']['taskToActivity']){
+
+            foreach($original['properties']['taskToActivity'] as $relational)
+
+                Controller::create(array('concept' => 'taskToActivity'), array('task' => $relational['task'], 'owner' => $relational['owner'], 'activity' => $result['id']));
+
+        }
+    }
+
     public function createCreateSchedulableToAttachment(&$uri, &$params, &$criteria, $original) {
 	if (array_key_exists('attachments', $original['properties']))
@@ -541,4 +609,16 @@
 
     //TODO: Remover apos suporte a deepness na api 
+    public function deepnessFindTask(&$uri, &$result, &$criteria, $original) {
+        if (isset($original['criteria']['deepness']) && $original['criteria']['deepness'] != 0) 
+           foreach($result as &$value)
+                $value['task'] = Controller::read(array('concept' => 'schedulable', 'id' => $value['task']));
+           
+        
+        return $result;
+    }
+
+
+
+    //TODO: Remover apos suporte a deepness na api 
     public function deepnessFindEvent(&$uri, &$result, &$criteria, $original) {
 	if (isset($original['criteria']['deepness']) && $original['criteria']['deepness'] != 0) {
@@ -572,4 +652,13 @@
 
 		$result[$i]['DayLigth'] = $DayLigth;
+
+        if(((int)$v['type']) == 2){
+
+            $taskToActivity = Controller::find(array('concept' => 'taskToActivity'), false, array('filter' => array('AND', array('=', 'activity', $v['id']), array('=','owner', Config::me('uidNumber'))) , 'deepness' => 2));
+
+            if($taskToActivity)
+                $result[$i]['taskToActivity'] = $taskToActivity;
+
+        }
 
 		if (isset($v['id'])) {
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6903)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6945)
@@ -799,5 +799,214 @@
         };
     });
-
+    return (notArray ? res[0] : res);
+    }
+});
+
+DataLayer.codec( "schedulable", "taskSearch", {
+
+    decoder: function( evtObj ){
+
+    },
+
+    encoder: function( evtObj ){
+
+    var notArray = false;
+      
+    if( notArray = $.type(evtObj) !== "array" )
+        evtObj = [ evtObj ];
+
+    var res = $.map(evtObj, function( objEvent ){           
+            
+        if(!(typeof(objEvent) == 'object'))
+            return (null);
+
+        return {
+            id: objEvent.id,
+            description: !!objEvent.summary ? objEvent.summary : objEvent.description,
+            startDate: new Date( parseInt(objEvent.startTime) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+            startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.startTime)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+            endDate: new Date( parseInt(objEvent.endTime) - (!!parseInt(objEvent.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+            endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(objEvent.endTime)),  objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'endTime'), User.preferences.hourFormat),
+            dueDate: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : new Date( parseInt(objEvent.due) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+            dueTime: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.due)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+            allDay: !!parseInt( objEvent.allDay ),
+            percentage: (objEvent.percentage) ? objEvent.percentage : '0'
+        }
+    });
+    return (notArray ? res[0] : res);
+    }
+});
+
+DataLayer.codec( "schedulable", "activity", {
+
+    decoder: function( evtObj ){
+    Encoder.EncodeType = "entity";
+    
+    if( notArray = $.type(evtObj) !== "array" )
+        evtObj = [ evtObj ];
+
+    var pref = User.preferences;
+
+    var res = $.map(evtObj, function( form ){
+    
+        var tzId =  form.timezone || Calendar.signatureOf[form.group].calendar.timezone || User.preferences.timezone,
+
+        formatString = pref.dateFormat + " " + pref.hourFormat;
+
+	var decodeParticipants = function(attend){
+	    return [DataLayer.merge(
+		{  
+		    user: User.me.id, 
+		    isOrganizer: 1,
+		    acl: 'row',
+		    alarms: $.map( form.alarmTime || [], function( alarmTime, i ){
+			if( alarmTime === "" )
+			    return( null );
+			return !!form.alarmId[i] ? {
+			    type: form.alarmType[i], 
+			    unit: form.alarmUnit[i], 
+			    time: form.alarmTime[i], 
+			    id: form.alarmId[i]
+			    }:
+
+			    {
+			    type: form.alarmType[i],
+			    unit: form.alarmUnit[i], 
+			    time: form.alarmTime[i]
+			    };
+		    })
+		}, attend != '0' ? {id: attend} : {})];
+	};
+
+        return DataLayer.merge({
+        "class": form["class"],
+        startTime: Date.parseExact(form.startDate + " "+$.trim(form.startHour) , formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),
+        endTime:  Date.parseExact(form.endDate + " "+$.trim(form.endHour), formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),  //+ (!!form.allDay ? 86400000 : 0) ,
+        due: (form.dueDate == '' )? 0 : Date.parseExact(form.dueDate + " "+$.trim(form.dueHour) , formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),
+        allDay: ( !!form.allDay ? 1 : 0 ),      
+        status: form.taskStatus,      
+        id: form.idActivity,
+        type: !!form.type ?  form.type : 2,
+        percentage: form.percentage,
+        priority: form.priority,
+        category: form.category,
+        summary: form.summary,
+        description: form.description,
+        timezone: tzId,
+        attachments: $.map(form.attachment || [], function( attachment, i ){
+            return {
+            attachment: attachment
+            }
+        }),
+        participants: decodeParticipants(form.idAttendee),
+        taskToActivity:$.map( form.idtask || [], function( task, i ){
+
+            return DataLayer.merge({
+                task: task,
+                owner: User.me.id
+            }, form.idTaskToActivity[i] != '' ? {id: form.idTaskToActivity[i]} : {});
+
+        })
+        }, form.lastGroup ? (( form.lastGroup == form.group ) ? {} : {calendar: form.group, lastGroup: form.lastGroup}) : {calendar: form.group});
+    });
+
+    return notArray ? res[0] : res;
+    },
+
+    encoder: function( evtObj ){
+
+    var notArray = false;
+      
+    if( notArray = $.type(evtObj) !== "array" )
+        evtObj = [ evtObj ];
+    
+    var res = $.map(evtObj, function( objEvent ){           
+            
+        if(!(typeof(objEvent) == 'object'))
+            return (null);
+
+        var decodeTasks = function(obj){
+
+            var tasks = {}, task = {};
+
+            for(var i =0; i < obj.taskToActivity.length; i++){
+
+                taskToActivity = DataLayer.get('taskToActivity', obj.taskToActivity[i]); 
+                task = taskToActivity.task;
+
+                if($.type(task) != 'object')
+                    task = DataLayer.get('schedulable', task);
+
+                tasks[task.id] = {
+                    taskToActivity: taskToActivity.id,
+                    allDay: !!parseInt(task.allDay),
+                    dueDate: (!task.due || task.due == '' || task.due == '0') ? '' : new Date( parseInt(task.due) ).setTimezoneOffset( Timezone.timezone( task.timezone ) ).toString( User.preferences.dateFormat ),
+                    dueTime: (!task.due || task.due == '' || task.due == '0') ? '' : dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(task.due)), task.timezone, obj.calendar, obj.DayLigth, 'startTime'), User.preferences.hourFormat),
+                    startDate: new Date( parseInt(task.startTime) ).setTimezoneOffset( Timezone.timezone( task.timezone ) ).toString( User.preferences.dateFormat ),
+                    startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(task.startTime)), task.timezone, task.calendar, obj.DayLigth, 'startTime'), User.preferences.hourFormat),
+                    endDate: new Date( parseInt(task.endTime) - (!!parseInt(task.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( task.timezone ) ).toString( User.preferences.dateFormat ),
+                    endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(task.endTime)),  task.timezone, obj.calendar, obj.DayLigth, 'endTime'), User.preferences.hourFormat),
+                }
+
+                tasks[task.id].description = tasks[task.id].startDate + ' - ' + (!!task.summary ? task.summary : task.description);
+
+            }
+
+            tasks.length = obj.taskToActivity.length;
+            return tasks;
+
+        };
+
+        return {
+        "class": objEvent["class"],
+        id: objEvent.id,
+        location: objEvent.location,
+        category: objEvent.category,
+        activityStatus: objEvent.status,
+        groups: Calendar.groups,
+        group: objEvent.group ? objEvent.group : objEvent.calendar,
+        summary: objEvent.summary,
+        type: !!objEvent.type ? objEvent.type : 2,
+        description: objEvent.description,
+        timezone: objEvent.timezone,
+        timezones: Timezone.timezones,
+        percentage: (objEvent.percentage) ? objEvent.percentage : '0',
+        priority: objEvent.priority,
+        startDate: new Date( parseInt(objEvent.startTime) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+        startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.startTime)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+        endDate: new Date( parseInt(objEvent.endTime) - (!!parseInt(objEvent.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+        endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(objEvent.endTime)),  objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'endTime'), User.preferences.hourFormat),
+        dueDate: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : new Date( parseInt(objEvent.due) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+        dueTime: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.due)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+        allDay: !!parseInt( objEvent.allDay ),
+        historic: [],
+        tasks: objEvent.taskToActivity ? decodeTasks(objEvent) : {},
+        attachments: $.map(objEvent.attachments || [], function( attachment, i ){
+            var attach = DataLayer.get('schedulableToAttachment', attachment, false);
+            //TODO - Verificar na API retorno de id sobre os conceitos em que s?o utilizados tabelas de liga??o
+            if(!attach.name) return(null); 
+            
+            var ext = attach.name.split('.');
+            attach.name = attach.name.length < 10 ?  attach.name : ( ext.length == 1 ? attach.name.substr(0, 10) : (attach.name.substr(0, 6) + '.' +  ext[ext.length -1]));
+            attach.size = formatBytes(attach.size);
+            return attach;
+        }),
+        me : User.me,
+        attendee: $.map(objEvent.participants || [], function( participant, i ){                        
+
+            var attend = DataLayer.get('participant', (participant.id || participant));
+            attend.user = DataLayer.get('user', attend.user);
+
+            return {
+                id: attend.id,
+                alarms : $.map(attend.alarms || [], function( alarm ){
+                    var alarm = DataLayer.get('alarm', alarm);
+                    return (alarm == "" ? (null) : alarm);
+                })
+            };
+        }),
+
+        };
+    });
     return (notArray ? res[0] : res);
     }
@@ -1089,5 +1298,5 @@
     
     if(!(!!evtObj))
-        return undefined;
+        evtObj = [];
 
     var notArray = false;
@@ -1314,18 +1523,21 @@
 
 	    //occurrences = DataLayer.unique( occurrences ).sort();
-		  
-	    for( var i = 0; i < occurrences.length; i++ )
-		grouped[ evt.calendar ].push( DataLayer.merge(
-		{
-		    id: evt.URI || evt.id+ '-' + i,
-		    title: Encoder.htmlDecode(evt.summary),
-		    start: Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) ), calendar.timezone,  !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
-		    end:   Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) + duration - (!!parseInt(evt.allDay) ? 86400000 : 0)), calendar.timezone, !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
-		    allDay: parseInt( evt.allDay ),
-		    isRepeat: isRepeat,
-		    occurrence: i,
-		    type: evt.type,
-		    calendar: evt.calendar
-		    }, eventEditable(evt.id, isRepeat, i ) ) );
+		var typeEvent;  
+	    for( var i = 0; i < occurrences.length; i++ ){
+
+            typeEvent = (evt.type == 2 && evt.taskToActivity ? 3 : evt.type)
+    		grouped[ evt.calendar ].push( DataLayer.merge(
+    		{
+    		    id: evt.URI || evt.id+ '-' + i,
+    		    title: Encoder.htmlDecode(evt.summary),
+    		    start: Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) ), calendar.timezone,  !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
+    		    end:   Timezone.getDateCalendar(new Date( parseInt( occurrences[i] ) + duration - (!!parseInt(evt.allDay) ? 86400000 : 0)), calendar.timezone, !!evt.DayLigth ? evt.DayLigth.calendar.startTime : Timezone.daylightSaving),
+    		    allDay: parseInt( evt.allDay ),
+    		    isRepeat: isRepeat,
+    		    occurrence: i,
+    		    type: typeEvent,
+    		    calendar: evt.calendar
+    		    }, (parseInt(typeEvent) == 1 ? eventEditable(evt.id, isRepeat, i ) : (parseInt(typeEvent) == 2 ? {editable: true, disableResizing: false, disableDragging: false} : {editable: false, disableResizing: true, disableDragging: true}) )) );
+        }
 	});
 
